/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2011. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.
 */

package com.ibm.servlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.beans.TestConverterBean;
import com.ibm.classes.CompareClass;


/**
 * Servlet implementation class TestServlet
 */
@WebServlet("/TestServlet")
public class TestServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	
	@EJB
	TestConverterBean converter;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public TestServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		System.out.println("Wellcome to the TestServlet");
		
                double fdegrees=100;
                double cdegrees=50;
		
                // convert Fahrenheit degrees to a Centigrade degrees
		double rcdegrees = converter.FahrenheittoCentigrade(fdegrees);
		   
                // convert Centigrade  degrees to Fahrenheit a degrees	
		double rfdegrees = converter.CentigradetoFahrenheit(cdegrees);
			
		PrintWriter out = response.getWriter();
		out.println("Wellcome to the TestServlet <br>");
		
		out.println("<br>Temperature Conversion (From a Session Bean)<br>");
		out.println("<br>Fahrenheit:  " + fdegrees + "<br>");
		out.println("<br>Fahrenheit to Centigrade: " + rcdegrees + "<br>");
		out.println("<br><br>Centigrade:  " + cdegrees + "<br>");
        out.println("<br>Centigrade to Fahrenheit: " + rfdegrees + "<br>"); 
        
        //String compare from a simple jar file
        String str1="Java EE Tools Smoke Test";
        String str2="JaVa eE ToOls SmOkE TeSt";
        
        
        out.println("<br><br>Compare Strings Info from JAR file <br>");
        out.println("<br>String 1: "+ str1 +"<br>");
        out.println("<br>String 2: "+ str2 +"<br>");
        out.println("<br>The strings ");
   
        
    	if(CompareClass.compareMethod(str1,str2)==0){
			out.println("have the same info");
		}else
		{
			out.println("have not the same info");
		}
       
        
                


	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
	}

}
